package room

import (
	"context"

	"microGame/app/usercenter/cmd/api/internal/svc"
	"microGame/app/usercenter/cmd/api/internal/types"

	"github.com/zeromicro/go-zero/core/logx"
)

type SitDownLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

// sitDown room
func NewSitDownLogic(ctx context.Context, svcCtx *svc.ServiceContext) *SitDownLogic {
	return &SitDownLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *SitDownLogic) SitDown(req *types.SitDownReq) (resp *types.SitDownResp, err error) {
	// todo: add your logic here and delete this line

	return
}
